﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using AN = System.Web.Security;
using DA = HeuristicLab.Services.UserManagement.DataAccess;
using DT = HeuristicLab.Services.UserManagement.DataTransfer;

namespace HeuristicLab.Services.UserManagement {
  public static class Convert {

    #region Application
    public static DT.Application ToDto(DA.aspnet_Application source) {
      return new DT.Application() {
        Id = source.ApplicationId,
        Description = source.Description,
        Name = source.ApplicationName
      };
    }

    public static DA.aspnet_Application ToEntity(DT.Application source) {
      return new DA.aspnet_Application() {
        ApplicationId = source.Id,
        ApplicationName = source.Name,
        Description = source.Description
      };
    }
    #endregion

    #region User
    public static DT.User ToDto(AN.MembershipUser source) {
      return new DT.User() {
        Comment = source.Comment,
        LastActivityDate = source.LastActivityDate,
        CreationDate = source.CreationDate,
        Email = source.Email,
        IsApproved = source.IsApproved,
        IsLockedOut = source.IsLockedOut,
        IsOnline = source.IsOnline,
        LastLockoutDate = source.LastLockoutDate,
        LastLoginDate = source.LastLockoutDate,
        LastPasswordChangedDate = source.LastPasswordChangedDate,
        PasswordQuestion = source.PasswordQuestion,
        ProviderName = source.ProviderName,
        ProviderUserKey = source.ProviderUserKey,
        UserName = source.UserName
      };
    }

    public static AN.MembershipUser ToEntity(DT.User source) {
      return new AN.MembershipUser(source.ProviderName, source.UserName, source.ProviderUserKey, source.Email, source.PasswordQuestion, source.Comment, source.IsApproved, source.IsLockedOut, source.CreationDate, source.LastLoginDate, source.LastActivityDate, source.LastPasswordChangedDate, source.LastLockoutDate);
    }
    #endregion

    #region Role
    public static DT.Role ToDto(string source) {
      return new DT.Role() {
        RoleName = source
      };
    }

    public static string ToEntity(DT.Role source) {
      return source.RoleName;
    }
    #endregion
  }
}
