﻿#region License Information
/* HeuristicLab 
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL) 
 * 
 * This file is part of HeuristicLab. 
 * 
 * HeuristicLab is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version. 
 * 
 * HeuristicLab is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>. 
 */
#endregion

using System;
using System.Runtime.Serialization;

namespace HeuristicLab.Services.UserManagement.DataTransfer {
  [DataContract]
  public class User : UserManagementItem {
    [DataMember]
    public string Comment { get; set; }

    [DataMember]
    public string Email { get; set; }

    [DataMember]
    public DateTime CreationDate { get; set; }

    [DataMember]
    public DateTime LastLoginDate { get; set; }

    [DataMember]
    public DateTime LastPasswordChangedDate { get; set; }

    [DataMember]
    public DateTime LastLockoutDate { get; set; }

    [DataMember]
    public bool IsApproved { get; set; }

    [DataMember]
    public bool IsLockedOut { get; set; }

    [DataMember]
    public bool IsOnline { get; set; }

    [DataMember]
    public DateTime LastActivityDate { get; set; }

    [DataMember]
    public string PasswordQuestion { get; set; }

    [DataMember]
    public string ProviderName { get; set; }

    [DataMember]
    public object ProviderUserKey { get; set; }

    [DataMember]
    public string UserName { get; set; }

    [DataMember]
    public Application App { get; set; }
  }
}
